REPORT.CGI(1)

NAME
report.cgi - CGI front-end to xymongen reporting

SYNOPSIS
report.cgi [--noclean] [xymongen-options]

DESCRIPTION
report.cgi is invoked as a CGI script via the report.sh CGI wrapper. It triggers the generation of a Xymon availability report for the timeperiod specified by the CGI paramaters. report.cgi is passed a QUERY_STRING environment variable with the following parameters:
   start-mon (Start month of the report)
   start-day (Start day-of-month of the report)
   start-yr (Start year of the report)
   end-mon (End month of the report)
   end-day (End day-of-month of the report)
   end-yr (End year of the report)
   style (Report style)

The following non-standard parameters are handled by the xymongen version of report.cgi:
   suburl (Page in report to go to, if not the top page) The "month" parameters must be specified as the three-letter english month name abbreviation: Jan, Feb, Mar ... Start- and end-days are in the range 1..31; the start- and end-year must be specified including century (e.g. "2003"). End-times beyond the current time are silently replaced with the current time. The generated report will include data for the start- and end-days, i.e. the report will begin at 00:00:00 of the start-day, and end at 23:59:59 of the end-day. The "style" parameter is passed directly to xymongen(1) and should be "crit", "non-crit" or "all". Other values result in undefined behaviour. All of the processing involved in generating the report is done by invoking xymongen(1) with the proper "--reportopts" option.

OPTIONS

--noclean
    Do not clean the XYMONREPDIR directory of old reports. Makes the report-tool go a bit faster - instead, you can clean up the XYMONREPDIR directory e.g. via a cron-job.

--env=FILENAME
    Load the environment from FILENAME before executing the CGI.

xymongen-options
    All other options passed to report.cgi are passed on to the xymongen(1) program building the report files.

FILES

$XYMONHOME/web/report_header
    HTML template header for the report request form

$XYMONHOME/web/report_footer
    HTML template footer for the report request form

$XYMONHOME/web/report_form
    HTML template report request form

ENVIRONMENT VARIABLES

XYMONGENREPOPTS
    xymongen options passed by default to the report.cgi. This happens in the report.sh wrapper.

XYMONHOME
    Home directory of the Xymon server installation

XYMONREPDIR
    Directory where generated reports are stored. This directory must be writable by the userid executing the CGI script, typically "www", "apache" or "nobody". Default: $XYMONHOME/www/rep/

XYMONREPURL
    The URL prefix to use when accessing the reports via a browser. Default: $XYMONWEB/rep

SEE ALSO
xymongen(1), hosts.cfg(5), xymonserver.cfg(5)